libxres1_1.0.7-1_amd64.deb


Advertisement

Description

libxres1 - X11 Resource extension library

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libxres1_1.0.7-1_amd64.deb
Package name libxres1
Package version 1.0.7
Package release 1
Package architecture amd64
Package type deb
Category libs
Homepage -
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 6.99 KB
Installed size 46.00 KB
libXRes provides an X Window System client interface to the Resource
extension to the X protocol.
The Resource extension allows for X clients to see and monitor the X resource
usage of various clients (pixmaps, et al).
More information about X.Org can be found at:
<URL:http://www.X.org>
This module can be found at
git://anongit.freedesktop.org/git/xorg/lib/libXRes

Alternatives

Package Version Architecture Repository
libxres1_1.0.7-1_i386.deb 1.0.7 i386 Ubuntu Main
libxres1 - - -

Requires

Name Value
libc6 >= 2.2.5
libx11-6 >= 2:1.6.0
libxext6 -
multiarch-support -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libxres1_1.0.7-1_amd64.deb
Source Package libxres

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxres1 deb package:
    # sudo apt-get install libxres1

Files

Path
/usr/lib/x86_64-linux-gnu/libXRes.so.1
/usr/lib/x86_64-linux-gnu/libXRes.so.1.0.0
/usr/share/doc/libxres1/changelog.Debian.gz
/usr/share/doc/libxres1/copyright

Changelog

2013-08-11 - Julien Cristau <jcristau@debian.org>
libxres (2:1.0.7-1) unstable; urgency=low
* New upstream release.
* Bump debhelper compat level to 7.
* Use dpkg-buildflags.
* Disable silent build rules.
* Bump Standards-Version to 3.9.4, no changes needed.
2013-05-14 - Julien Cristau <jcristau@debian.org>
libxres (2:1.0.6-1+deb7u1) wheezy-security; urgency=high
* integer overflows calculating memory needs for replies [CVE-2013-1988]
2012-04-21 - Julien Cristau <jcristau@debian.org>
libxres (2:1.0.6-1) unstable; urgency=low
* Remove Andres, David and Brice from Uploaders.
* Drop Depends and Pre-Depends on x11-common.
* Don't require (fake)root for debian/rules clean.
* New upstream release.
* Build for multiarch.
* Kill useless libxres-dev.manpages file.
2010-11-08 - Cyril Brulebois <kibi@debian.org>
libxres (2:1.0.5-1) unstable; urgency=low
* New upstream release.
* Bump xutils-dev build-dep for new macros.
* Switch from --list-missing to --fail-missing for additional safety.
* Add myself to Uploaders.
2009-11-25 - Julien Cristau <jcristau@debian.org>
libxres (2:1.0.4-1) unstable; urgency=low
[ Timo Aaltonen ]
* New upstream release.
* Bump the build-dep on xutils-dev (>= 1:7.5~1).
[ Julien Cristau ]
* Bump Standards-Version to 3.8.3.
2009-08-02 - Brice Goglin <bgoglin@debian.org>
libxres (2:1.0.3-2) unstable; urgency=low
* Add README.source, bump Standards-Version to 3.8.2.
* Use updated xsfbs, closes: #538590.
* Remove Branden and Fabio from Uploaders with their permission.
* Remove XS- prefix Vcs-Browser and Vcs-Git fields to debian/control.
* Add a link to www.X.org in the long description.
* Update reference to the upstream module in the long description.
* Add upstream URL to debian/copyright.
* Use ${binary:Version} instead of the deprecated ${Source-Version}.
* Drop the -1 debian revision from the libx11-dev and libxext-dev
build-deps.
* Add Section values for all binary packages.
* Run autoreconf on build; add build-deps on automake, libtool, xutils-dev.
* Handle parallel builds.
* Add myself to Uploaders.
2007-04-13 - Drew Parsons <dparsons@debian.org>
libxres (2:1.0.3-1) unstable; urgency=low
[ Julien Cristau ]
* New upstream release (X11R7.2).
* Install the upstream changelog.
* Add XS-Vcs-* headers to debian/control and drop outdated CVS info.
2006-10-12 - Drew Parsons <dparsons@debian.org>
libxres (2:1.0.1-2) unstable; urgency=low
* Upload to unstable (X11R7.1 transition).
* dbg package has priority extra.
* Use dh_installman to install man pages.
* Exclude libXRes.la from dh_install.
2006-07-29 - Andres Salomon <dilinger@debian.org>
libxres (2:1.0.1-1) experimental; urgency=low
* New upstream release.
* Drop patches/01_manpage_location.diff; merged upstream.
* Autoreconf w/ an updated xutils-dev so that manpages have the 'x'
extension dropped.
* Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
idempotency fix.
* Run dh_install w/ --list-missing.
* Drop duplicate x11-common dep in -dev package.
* Bump standards version to 3.7.2.0.
* Version x11-common pre-dep in -dev package to 1:7.0.0 to match
the rest of Debian.
* Bump debhelper compat to 5.
* Fix dh_strip call to skip the -dbg package.
* Include manpages in -dev package.  Everyone loves manpages!
2006-04-19 - David Nusinow <dnusinow@debian.org>
libxres (2:1.0.0-3) unstable; urgency=low
* Reorder makeshlib command in rules file so that ldconfig is run
properly. Thanks Drew Parsons and Steve Langasek.
* Add build-depends on quilt

See Also

Package Description
libxshmfence-dev_1.2-1_amd64.deb X shared memory fences - development files
libxshmfence1_1.2-1_amd64.deb X shared memory fences - shared library
libxslt1-dev_1.1.28-2.1_amd64.deb XSLT 1.0 processing library - development kit
libxslt1.1_1.1.28-2.1_amd64.deb XSLT 1.0 processing library - runtime library
libxss-dev_1.2.2-1_amd64.deb X11 Screen Saver extension library (development headers)
libxss1_1.2.2-1_amd64.deb X11 Screen Saver extension library
libxt-dev_1.1.5-0ubuntu1_amd64.deb X11 toolkit intrinsics library (development headers)
libxt-doc_1.1.5-0ubuntu1_all.deb X11 toolkit intrinsics library (documentation)
libxt6_1.1.5-0ubuntu1_amd64.deb X11 toolkit intrinsics library
libxtables11_1.6.0-2ubuntu3_amd64.deb netfilter xtables library
libxtst-dev_1.2.2-1_amd64.deb X11 Record extension library (development headers)
libxtst-doc_1.2.2-1_all.deb X11 Record extension library (documentation)
libxtst6_1.2.2-1_amd64.deb X11 Testing -- Record extension library
libxv-dev_1.0.10-1_amd64.deb X11 Video extension library (development headers)
libxv1_1.0.10-1_amd64.deb X11 Video extension library
Advertisement
Advertisement